
QGIS Application - Bug report #15529

Key expiry for the Debian LTR release.

2016-09-03 04:01 AM - Ian Goddard

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 23453

Description

Using deb http://qgis.org/debian wheezy main as the repository apt-get update produces the following error:The following signatures were

invalid: KEYEXPIRED 1471531593 KEYEXPIRED 1471531593 KEYEXPIRED 1471531593

Using apt-key del D71472C4 to remove the expired keys followed by apt-get update produces the following error:The following signatures

couldn't be verified because the public key is not available: NO_PUBKEY 3FF5FFCAD71472C4

Reinstating the key with apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3FF5FFCAD71472C4 restores the original error.

The command on the website, apt-key adv --keyserver keyserver.ubuntu.com --recv-key 073D307A618E5811 does not help.  The

responses from gpg indicates that this is the Jessie key whilst 3FF5FFCAD71472C4 is the Wheezy key.

It appears that the Wheezy key has been allowed to expire (note that Wheezy is still current as the Debian LTR version) but the repository

is still signed with it.

History

#1 - 2016-09-03 05:39 AM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

wheezy is no longer maintained.

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
